#include <gtk/gtk.h>
#include "owlcolourpalette.h"
#include "owlcolourswatch.h"

static void
colour_selected_cb (GtkWidget *widget, OwlColourSwatch *swatch, gpointer user_data)
{
}

int
main(int argc, char ** argv)
{
  GtkWidget *window;
  GtkWidget *palette;
  guint32 colours[] = {0xfce94f00, 0xedd40000, 0xc4a00000,
                       0xfcaf3e00, 0xf5790000, 0xce5c0000,
                       0xe9b96e00, 0xc17d1100, 0x8f590200,
                       0x8ae23400, 0x73d21600, 0x4e9a0600,
                       0x729fcf00, 0x3465a400, 0x204a8700,
                       0xad7fa800, 0x75507b00, 0x5c356600,
                       0xef292900, 0xcc000000, 0xa4000000,
                       0xffffffff, 0xbabdb600, 0x00000000};

  gtk_init (&argc, &argv);

  window = gtk_window_new (GTK_WINDOW_TOPLEVEL);
  g_signal_connect (window, "destroy", gtk_main_quit, NULL);

  palette = owl_colour_palette_new (6, 4);
  owl_colour_palette_set_colours (OWL_COLOUR_PALETTE (palette), colours, 24);

  g_signal_connect (palette, "colour-selected", (GCallback)colour_selected_cb, NULL);

  gtk_container_add (GTK_CONTAINER (window), palette);

  gtk_widget_show_all (window);

  gtk_main ();

  return 0;
}

