#include <gtk/gtk.h>
#include "owlwindowmenu.h"

int
main (int argc, char **argv)
{
  GtkWidget *window, *menu;

  gtk_init (&argc, &argv);
  
  window = gtk_window_new (GTK_WINDOW_TOPLEVEL);
  g_signal_connect (window, "delete-event", G_CALLBACK (gtk_main_quit), NULL);

  menu = gtk_menu_new ();
  gtk_menu_shell_append (GTK_MENU_SHELL (menu), gtk_menu_item_new_with_label ("Foo"));
  gtk_widget_show_all (menu);

  /* TODO: Annoying */
  gtk_widget_realize (window);
  owl_set_window_menu (GTK_WINDOW (window), GTK_MENU (menu));

  gtk_widget_show_all (window);
  gtk_main ();
  return 0;
}
